# Record Class CAAuditSearchParameters

java.lang.Object
java.lang.Record
com.io7m.cardant.model.CAAuditSearchParameters

Record Components:
  `owner` - Limit events to the given owner
  `type` - Limit events to the given type
  `timeRange` - Limit events to the given time range
  `pageSize` - The page size

All Implemented Interfaces:
  `CASearchParametersType`

public record CAAuditSearchParameters(Optional<CAUserID> owner, CAComparisonExactType<String> type, CATimeRange timeRange, long pageSize) extends Record implements CASearchParametersType
The search parameters for the audit log.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAAuditSearchParameters(Optional<CAUserID> owner, CAComparisonExactType<String> type, CATimeRange timeRange, long pageSize)`
  The search parameters for the audit log.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `Optional<CAUserID>`
  `owner()`
  Returns the value of the `owner` record component.
  `long`
  `pageSize()`
  Returns the value of the `pageSize` record component.
  `CATimeRange`
  `timeRange()`
  Returns the value of the `timeRange` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `CAComparisonExactType<String>`
  `type()`
  Returns the value of the `type` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAAuditSearchParameters

    public CAAuditSearchParameters(Optional<CAUserID> owner, CAComparisonExactType<String> type, CATimeRange timeRange, long pageSize)
    The search parameters for the audit log.
    Parameters:
      `owner` - Limit events to the given owner
      `type` - Limit events to the given type
      `timeRange` - Limit events to the given time range
      `pageSize` - The page size

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### owner

    public Optional<CAUserID> owner()
    Returns the value of the `owner` record component.
    Returns:
      the value of the `owner` record component

  - ### type

    public CAComparisonExactType<String> type()
    Returns the value of the `type` record component.
    Returns:
      the value of the `type` record component

  - ### timeRange

    public CATimeRange timeRange()
    Returns the value of the `timeRange` record component.
    Returns:
      the value of the `timeRange` record component

  - ### pageSize

    public long pageSize()
    Returns the value of the `pageSize` record component.
    Specified by:
      `pageSize` in interface `CASearchParametersType`
    Returns:
      the value of the `pageSize` record component